Subject: sort 8.5 bug?
From: Sean Sun <[email-masked]>
To: [email-masked]
Date: Thu, 22 Sep 2011 13:55:05 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

#########################################################
Ubuntu 11.04
2.6.38-11-generic-pae

sort --version
sort (GNU coreutils) 8.5
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Haertel and Paul Eggert.

##########################################################
I created two testing files: File_A and File_B.

cat File_​A
.
BAD.

sort File_A
.
BAD.

cat File_​B
.s
BAD.s

sort File_B
BAD.s
.s

So basically, appending a letter after ‘.’ would reverse the sort order.
That doesn't look quite right. Is there an explanation for this behavior?
I've tried the same on a Mac, and their sort (5.93) woks just fine.

I've also tried set LC_ALL='C'. Just in case it's a funky locale problem,
but didn't make a difference.

-- 
View this message in context: http://old.nabble.com/sort-8.5-bug--tp32503840p32503840.html
Sent from the Gnu - Coreutils - Discuss mailing list archive at Nabble.com.